Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0003967 [JEDI VCL] 00 JVCL Components feature always 2006-10-22 14:31 2007-06-19 03:10
Reporter mvrhov View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version Daily / GIT
Summary 0003967: Refactoring of Desktop Alert to allow displaying custom forms
Description As said in newsgroup here is refactored DEsktop alert to allow displaying custom forms.

Two things need to be done, create an icon for TJvDesktopAlertForm and registering that new copmonent I beleive that you guys can do that.

Updated example will follow in next few days.
Additional Information
Tags No tags attached.
Attached Files ? file icon JvDesktopAlert.diff [^] (41,588 bytes) 2006-10-22 14:32
? file icon JvDesktopAlertForm.diff [^] (16,027 bytes) 2006-10-22 14:32
zip file icon full source.zip [^] (17,153 bytes) 2006-11-01 07:06

- Relationships

-  Notes
(0010403)
obones (administrator)
2006-11-01 06:55

Why did TJvCustomFormDesktopAlert disappeared?
And why do you want it to be installed as a component? It's just a base for others to use, and base forms are never installed as a component.
(0010404)
mvrhov (reporter)
2006-11-01 07:03
edited on: 2006-11-01 07:07

I meant for TJvDesktopAlertForm to be registred as a component.
And it seems that patches are invalid, Why don't you upgrade from my full modified files. It should be easer.

(0013397)
obones (administrator)
2007-06-19 03:10

This is now in SVN.

- Issue History
Date Modified Username Field Change
2006-10-22 14:31 mvrhov New Issue
2006-10-22 14:32 mvrhov File Added: JvDesktopAlert.diff
2006-10-22 14:32 mvrhov File Added: JvDesktopAlertForm.diff
2006-11-01 06:55 obones Note Added: 0010403
2006-11-01 06:55 obones Status new => feedback
2006-11-01 07:03 mvrhov Note Added: 0010404
2006-11-01 07:06 mvrhov File Added: full source.zip
2006-11-01 07:07 mvrhov Note Edited: 0010404
2007-01-07 05:06 mvrhov Issue Monitored: mvrhov
2007-06-19 03:10 obones Status feedback => resolved
2007-06-19 03:10 obones Fixed in Version => Daily / SVN
2007-06-19 03:10 obones Resolution open => fixed
2007-06-19 03:10 obones Assigned To => obones
2007-06-19 03:10 obones Note Added: 0013397


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker